VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IUnitHandler2 Class Referenceabstract

Host callback for extended unit support: Vst::IUnitHandler2. More...

`#include <ivstunits.h>`

Inheritance diagram for IUnitHandler2:

## Public Member Functions
virtual tresult | notifyUnitByBusChange ()=0
| Tell host that assignment Unit-Bus defined by IUnitInfo::getUnitByBus has changed.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Host callback for extended unit support: Vst::IUnitHandler2.

- [host imp]
- [extends IUnitHandler]
- [released: 3.6.5]
- [optional]

Host callback interface, used with IUnitInfo. Retrieve via queryInterface from IComponentHandler.

The plug-in has the possibility to inform the host with notifyUnitByBusChange that something has changed in the bus - unit assignment, the host then has to recall IUnitInfo::getUnitByBus in order to get the new relations between busses and unit.

See also
  vst3Units, IUnitHandler

## Member Function Documentation

## ◆ notifyUnitByBusChange()

virtual tresult notifyUnitByBusChange | ( |  | ) |
| pure virtual

Tell host that assignment Unit-Bus defined by IUnitInfo::getUnitByBus has changed.

Note
  [UI-thread & (Initialized | Connected)]

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.